
Synnefo - Bug # 1935

Status: Closed Priority: Medium

Author: Sofia Papagiannaki Category: Astakos

Created: 01/25/2012 Assignee: Sofia Papagiannaki

Updated: 02/08/2013 Due date:

Subject: reset password subject & link are not correct

Description

    -  django's 1.2 password_reset view does not have an email_from argument, as a result settings.DEFAULT_FROM_EMAIL is used.

Since for the needs of Issue #1914 settings.DEFAULT_FROM_EMAIL now expects an argument with the name of the service

we should override default django's 1.2 behavior to provide this argument.

    -  site.domain should not contain protocol (``http`` or ``https``). Instead it has to be derived from the request. Templates expecting

site.domain with protocol should change.

Associated revisions

Revision e2125441 - 01/25/2012 02:03 pm - Sofia Papagiannaki 

fix password_reset email link & subject

Refs: #1935

Revision e2125441 - 01/25/2012 02:03 pm - Sofia Papagiannaki 

fix password_reset email link & subject

Refs: #1935

History

#1 - 01/25/2012 02:04 pm - Sofia Papagiannaki

- Status changed from Assigned to Resolved

#2 - 02/06/2012 11:55 am - Antony Chazapis

- Target version set to 0.1.0

#3 - 02/06/2012 11:59 am - Antony Chazapis

- Status changed from Resolved to Closed

#4 - 02/08/2013 07:14 pm - Vangelis Koukis

- Project changed from astakos to Synnefo

- Target version deleted (0.1.0)

#5 - 02/08/2013 07:14 pm - Vangelis Koukis

- Category set to Astakos
